POST
/ai_labs/organization/{Organization_Id}/course/{Course_Id}/shared-storage/
curl --request POST \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/ai_labs/organization/{Organization_Id}/course/{Course_Id}/shared-storage/?location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>' \ --header 'Content-Type: application/json' \ --data '{ "name": "ai-labs-251027174445", "storage_type": "managed"}'import requests
response = requests.post( "https://api.e2enetworks.com/myaccount/api/v1/gpu/ai_labs/organization/{Organization_Id}/course/{Course_Id}/shared-storage/", params={"location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"}, json={ "name": "ai-labs-251027174445", "storage_type": "managed", },)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/ai_labs/organization/{Organization_Id}/course/{Course_Id}/shared-storage/");url.search = new URLSearchParams({ location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "POST", headers: { "Authorization": "Bearer <API_TOKEN>", "Content-Type": "application/json" }, body: JSON.stringify({ "name": "ai-labs-251027174445", "storage_type": "managed" }),});console.log(await response.json());Note: AI Labs is currently available only in the Delhi region.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Organization_Id
required
integer
Organization ID
Course_Id
required
integer
Course ID
Query Parameters
Section titled “Query Parameters”location
required
string
Location
active_iam
integer
Active IAM ID (To access contact person account) Find your Active IAM ID here
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
name
required
Name of the shared storage
string
Example
ai-labs-251027174445storage_type
required
Type of storage
string
Example
managedResponses
Section titled “Responses”Successfully created shared storage
Media typeapplication/json
object
code
integer
data
object
id
integer
name
string
shared_storage_details
object
id
integer
name
string
project_id
integer
description
string
storage_type
string
pvc
string
bucket
object
id
integer
bucket_name
string
bucket_url
string
endpoint
string
is_managed
boolean
eos_bucket_permission_id
integer
location
string
bucket_size
string
access_key
object
id
integer
access_key
string
secret_key
string
tag
string
is_managed
boolean
location
string
encryption_type
string
encryption_enable
boolean
status
string
created_by
object
id
integer
name
string
email
string format: email
username
string
created_at
string format: date-time
updated_at
string format: date-time
pfs
string
is_ai_labs_learning_dataset
boolean
is_mounted_on_another_node
boolean
created_by
integer
storage_type
string
errors
object
message
string
total_page_number
integer
total_count
integer
Example
{ "code": 201, "data": { "id": 13, "name": "ai-labs-22", "shared_storage_details": { "id": 3009, "name": "ai-labs-22", "project_id": 8007, "storage_type": "managed", "bucket": { "id": 5040, "bucket_name": "d-gpu-28911c97-a14c-4bc0-843b-d5c79fb58ee1", "bucket_url": "s3://d-gpu-28911c97-a14c-4bc0-843b-d5c79fb58ee1/", "endpoint": "https://objectstore.e2enetworks.net", "is_managed": true, "eos_bucket_permission_id": 16762, "location": "Delhi", "bucket_size": "0 bytes" }, "access_key": { "id": 5058, "access_key": "KQDVZB27TBRE0G7K8AD4", "tag": "akgpu09d7ae590228460d96a0224373482ebd", "is_managed": true, "location": "Delhi" }, "encryption_enable": false, "status": "Pending", "created_by": { "id": 7483, "name": "test", "email": "test@gmail.com", "username": "test@gmail.com" }, "created_at": "2025-10-28T07:32:33.164317Z", "updated_at": "2025-10-28T07:32:33.164370Z", "is_ai_labs_learning_dataset": false }, "created_by": 7483, "storage_type": "managed" }, "errors": {}, "message": "Created Successfully", "total_page_number": 1, "total_count": 1}